#pragma once
#include "../ESCANLIB.h"
#include "ESCommonTypedef.h"

class COcrEngineBase
{
public:
	COcrEngineBase(void);
	virtual ~COcrEngineBase(void);

	virtual DWORD	init(eOCRLanguage OCRLang) = 0;
	virtual DWORD	setOptions(DWORD ocrOptions) = 0;
	virtual DWORD	exeRecognize(HANDLE hDIB,  size_t size, RECT* pRect, ESStringUTF16& Result) = 0;

	eOCRLanguage	m_OCRLang;
};

